<?php
	$plural_name = '';
	if( function_exists( 'dt_booking_cs_get_option' ) ) :
		$plural_name	=	dt_booking_cs_get_option( 'singular-person-text', esc_html__('Person', 'dt-reservation-plugin') );
	endif;

	vc_map( array(
		"name" => $plural_name,
		"base" => "dt_sc_person_item",
		"icon" => "dt_sc_person_item",
		"category" => esc_html__( 'Booking Manager', 'dt-reservation-plugin' ),
		"params" => array(

			# ID
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Enter Person ID", "dt-reservation-plugin" ),
				"param_name" => "person_id",
				"value" => '',
				"description" => esc_html__( 'Enter ID of person to display.', 'dt-reservation-plugin' ),
			),

			# Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type','dt-reservation-plugin'),
				'param_name' => 'type',
				'value' => array(
					esc_html__('Type - 1','dt-reservation-plugin') => 'type1',
					esc_html__('Type - 2','dt-reservation-plugin') => 'type2'
				)
			),

			# Button?
			array(
				'type' => 'dropdown',
				'param_name' => 'show_button',
				'value' => array(
					esc_html__('Yes','dt-reservation-plugin') => 'yes',
					esc_html__('No','dt-reservation-plugin') => 'no'
				),
				'heading' => esc_html__( 'Show button?', 'dt-reservation-plugin' ),
				'std' => 'no'
			),

			# Button Text
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Button Text", "dt-reservation-plugin" ),
				"param_name" => "button_text",
				"value" => esc_html__('Book an appointment', 'dt-reservation-plugin'),
				"description" => esc_html__( 'Enter button text.', 'dt-reservation-plugin' ),
			)
	     )
	) );